:root {
    --color-primary: var(--DarkBlue);
    --color-secondary: var(--Blue);
}

div.logo-style {
    background: url(/assets/packages/my-stark/images/stark-logo.svg) center center no-repeat;
}

.sw-waiting, .sw-polling {
    background-image:url(/assets/packages/my-stark/images/ajax-loader-white.gif) !important;
}

.sw-waiting-sm {
    background-image:url(/assets/packages/my-stark/images/ajax-loader-white.gif) !important;
}

.loading-gif {
    display: none;
}

@font-face {
    font-family: 'sansation';
    font-style: normal;
    font-weight: 700;
    src: url('/assets/packages/my-stark/fonts/sansation_bold-webfont.woff2') format('woff2'),
         url('/assets/packages/my-stark/fonts/sansation_bold-webfont.woff') format('woff');
}

/* fira-sans-regular - latin_latin-ext */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Fira Sans';
    font-style: normal;
    font-weight: 400;
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-regular.eot'); /* IE9 Compat Modes */
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-regular.woff2') format('woff2'), /* Super Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-regular.woff') format('woff'), /* Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-regular.ttf') format('truetype'), /* Safari, Android, iOS */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-regular.svg#FiraSans') format('svg'); /* Legacy iOS */
  }
  /* fira-sans-italic - latin_latin-ext */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Fira Sans';
    font-style: italic;
    font-weight: 400;
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-italic.eot'); /* IE9 Compat Modes */
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-italic.woff2') format('woff2'), /* Super Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-italic.woff') format('woff'), /* Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-italic.ttf') format('truetype'), /* Safari, Android, iOS */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-italic.svg#FiraSans') format('svg'); /* Legacy iOS */
  }
  /* fira-sans-600 - latin_latin-ext */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Fira Sans';
    font-style: normal;
    font-weight: 600;
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600.eot'); /* IE9 Compat Modes */
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600.woff2') format('woff2'), /* Super Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600.woff') format('woff'), /* Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600.ttf') format('truetype'), /* Safari, Android, iOS */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600.svg#FiraSans') format('svg'); /* Legacy iOS */
  }
  /* fira-sans-600italic - latin_latin-ext */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Fira Sans';
    font-style: italic;
    font-weight: 600;
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600italic.eot'); /* IE9 Compat Modes */
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600italic.woff2') format('woff2'), /* Super Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600italic.woff') format('woff'), /* Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600italic.ttf') format('truetype'), /* Safari, Android, iOS */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-600italic.svg#FiraSans') format('svg'); /* Legacy iOS */
  }
  /* fira-sans-700 - latin_latin-ext */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Fira Sans';
    font-style: normal;
    font-weight: 700;
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700.eot'); /* IE9 Compat Modes */
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700.woff2') format('woff2'), /* Super Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700.woff') format('woff'), /* Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700.ttf') format('truetype'), /* Safari, Android, iOS */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700.svg#FiraSans') format('svg'); /* Legacy iOS */
  }
  /* fira-sans-700italic - latin_latin-ext */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Fira Sans';
    font-style: italic;
    font-weight: 700;
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700italic.eot'); /* IE9 Compat Modes */
    src: url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700italic.woff2') format('woff2'), /* Super Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700italic.woff') format('woff'), /* Modern Browsers */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700italic.ttf') format('truetype'), /* Safari, Android, iOS */
         url('/assets/packages/my-stark/fonts/fira-sans-v17-latin_latin-ext-700italic.svg#FiraSans') format('svg'); /* Legacy iOS */
  }

/*CSS Variablen */
:root {
  /*Stark Colors*/
	--StarkRed: #E30C19;
	--Black: #000000;
	--White: #FFFFFF;
	--A-Orange: #FFA500;
	--A-Lime: #D7E200;
	--A-Purple: #A400A5;
	--A-Turquoise: #0099A9;
	--A-Blue: #002A4C;
	--A-Green: #6DC82C;
	--A-LightBlue: #00B3E7;
	--LightBlue: #B6DCD3;
	--Blue: #61B0BB;
	--DarkBlue: #005870;
	--LightLilac: #B4B5DC;
	--Lilac: #7474C1;
	--DarkLilac: #323481;
	--LightGreen: #C1E089;
	--Green: #89C164;
	--DarkGreen: #1E874A;
	--LightGrey: #DAD9D7;
	--Grey: #B2B2B2;
	--DarkGrey: #63656A;

	--HotPink: #EA067E;

	/*Other Colors*/
  --bright-orange: #ffbb1c;
  --chalk-white:#fff;
  --coral-pink: #ff757a;
  --fresh-green:#84bd00;
  --graphite-grey:#505759;
  --grass-green:#008638;
  --ink-black:#000;
  --lime-green:#d2db0e;
  --marine-turquoise:#12b2a6;
  --midnight-blue:#003057;
  --mist-grey: #dfe1e1;
  --pearson-blue:#007fa3;
  --royal-purple:#9e007e;
  --sky-blue: #94e7ea;
  --hot-pink:#ea067e;
  --ink-blue:#005a70;
  --ice-blue:#d4eae4;
  --juicy-orange:#ea7600;
  --sunshine-yellow:#ffb81c;
}


.h3,
h3 {
    font-weight: 700;
    color: var(--DarkBlue) !important;
}

body {
    font-family: 'Fira Sans';
}

.container-fluid {
  padding-right: 1px;
  padding-left: 4px;
}

.navbar {
    font-family: sansation;
    font-size: 18px;
}
@media (max-width: 767px) {
    .navbar-collapse ul.sw-nav-ul > li > a {
        padding-left: 40px !important;
    }
}
.navbar-toggle {
    background-color: var(--Blue) !important;
    margin-right: 32px;
    border: none;
}
.navbar-toggle:hover .icon-bar {
    background-color: var(--DarkBlue) !important;
}
@media (max-width: 767px) {
  .navbar-inverse .navbar-nav .open .dropdown-menu > li > a {
    color: white;
    padding-left: 46px !important;
  }
}
.palette a {
    font-family: sansation;
    font-size: 16px;
    letter-spacing: 0.05em;
    color: var(--DarkBlue) !important;
}
.open_subcat {
   font-size: 15px;
}
.sub-category-list-item-container > div {
  padding-top: 10px;
  padding-bottom: 10px;
}
div.subcat_closed .sub-category-list-container,
div.open_subcat .sub-category-list-container {
    margin-left: 25px;
    padding: 0;
    width: calc(83.33333333% - 25px)
}
div.subcat_closed:nth-of-type(n+3) .sub-category-list-container,
div.open_subcat:nth-of-type(n+3) .sub-category-list-container {
    border-top: 1px solid var(--Blue);
}
.sub-category-list-container .teacher_home_context_menu {
    margin-left: -11px
}
.sub-category-list-item .teacher_home_context_menu {
    margin-left: -28px
}
.sub-category-list-item-line-first {
    border-top: 1px solid var(--Blue);
}
.progress_bar_wrapper{
    float: right;
}

.category-grade-col {
    margin-top: 12px;
}
.category-list-icon {
    margin-top: 6px;
}
.sub-category-grade-col {
    margin-top: 5px;
}
.sub-category-list-arrow {
    margin-top: 2px;
}
.sub-category-list-arrow .fa-flip-vertical {
    margin-top: 5px;
}
.progress_bar_wrapper {
    margin-top: -2px;
}

.navbar-inverse {
    background-color: var(--DarkBlue);
}

.navbar-inverse .navbar-nav>li>a {
    color: #fff;
    text-transform: none;
}

.sw-collapse {
    background-color: var(--DarkBlue) !important;
}

.navbar-inverse .navbar-nav>.open>a,
.navbar-inverse .navbar-nav>.open>a:focus,
.navbar-inverse .navbar-nav>.open>a:hover:not(.nav-bar-seperator),
.navbar-inverse .navbar-nav>.active>a,
.navbar-inverse .navbar-nav>.active>a:focus,
.navbar-inverse .navbar-nav>.active>a:hover
{
    background-color: var(--Blue) !important;
    border-radius: 0px !important;
}


.navbar-inverse .navbar-nav>li>a.nav-bar-seperator:focus,
.navbar-inverse .navbar-nav>li>a.nav-bar-seperator:hover
{
    color: #FFF;
}

#white_page,
.white_page {
    border-radius: 0px 0px 40px 40px;
}

.manual {
    border-radius: 0px 0px 40px 0px;
}

#container,
body .btn,
body .btn:focus,
body .btn:hover,
.form-control,
.jumbotron,
body .label,
.list-group-item,
.modal,
.modal .modal-body .label,
.panel,
.panel-heading,
.progress,
body .well {
    border-radius: 25px !important;
}

.body-outline .btn.active.focus, .body-outline .btn.active:focus, .body-outline .btn.focus, .body-outline .btn.focus:active, .body-outline .btn:active:focus, .body-outline .btn:focus, .body-outline a:focus, .body-outline button:focus, .body-outline canvas:focus {
    outline-offset: 2px;
}

body .no-radius {
    border-radius: 0 !important;
}

.label {
    display: inline-block
}

.form-control.answer_text,
#author_exercise .form-control {
    border-radius: 5px !important;
}

.analytics__navtabs .nav>li>a {
    border-radius: 25px !important;
}

.nav>li>a {
    border-radius: 25px !important;
}

.navbar-inverse .navbar-nav>.active>a {
    border-radius: 0px !important;
}

.analytics__navtabs>ul>li.active>a {
    border-radius: 20px!important;
}

#header_navigation .exercise-caret
{
    border-top-color: white;
}

.nav>li>a>img.header_profile_pic {
    max-height: 50px;
    border-radius: 50%;
    border: 2px solid #fff;
    background: #fff;
}

.dropdown .caret {
    border-top-color: #FFF;
}

#main_button_bar .exercise-caret,
.mcoptions .caret:hover,
.mcoptions .caret:hover,
.mcoptions .caret,
#main_button_bar .exercise-caret:hover,
.mcoptions .btn-default .caret
.mcoptions .btn-default .caret:hover,
.nav>.dropdown>.nav-link-btn:hover .caret,
.nav>.dropdown>.nav-link-btn:focus .caret
{
    border-top-color: #594662;
}

.sw-btn-clear .caret {
    border-top-color: var(--Blue);
}

.sw-btn-clear:hover .caret {
    border-top-color: #FFF;
}

.btn-group-lg>.btn,
.btn-lg {
  padding:8px 12px;
}

.alert {
    border-radius: 15px !important;
}

.modal-header {
    color: #fff;
    background-color: var(--DarkBlue);
    border-radius: 10px 10px 0px 0px;
}

.exercise-ul {
    border: 1px solid #999;
    background-color: var(--Blue) !important;
}

.navbar-nav>li>a {
    line-height: 20px;
    font-weight: 700;
}

.sw-nav-txt {
    font-weight: 700;
}

.sw-dropdown>ul>li>a {
    color: white;
}

.dropdown-menu {
    overflow: auto;
}

.dropdown-menu>li>a.active {
    background-color: var(--DarkBlue);
}

.container-fluid .dropdown-menu>li>a:hover {
    background-color: var(--DarkBlue);
	color: #fff !important;
}

.container-fluid .dropdown-menu>li>a>.MathJax:hover {
    background-color: var(--DarkBlue);
}

.menu-profile-a {
    color: #fff;
    font-weight: 700;
}

.menu-profile li:not(.nav-seperator):hover,
.sw-nav-ul li:not(.nav-seperator):hover {
    background-color: var(--LightBlue);
}

.nav>.dropdown>.nav-link-btn
{
    color: #FFF;
    background-color: var(--Blue);
    border: 0;
    padding-top: 8px;
    margin-top: 7px;
    padding-bottom: 10px;
    border-radius: 25px !important;
}

.navbar-inverse .navbar-nav>.open>a.nav-link-btn {
    border-radius: 25px !important;
}

#nav_link_change_role:focus ,
#nav_link_change_role:hover,
#nav_link_change_lang:focus ,
#nav_link_change_lang:hover
{
    color: var(--Blue) !important;
    background-color: #FFF !important;
    border-radius: 25px !important;
}

.menu-role .dropdown-menu {
    border-radius: 15px !important;
}

.menu-achievements-a {
    height: 58px;
}

.body-color,
.body-style {
    background-color: var(--LightGrey) !important;
}

.diagnose_knob,
.knob {
    color: var(--DarkBlue) !important;
}

#filter_tabs ul.tabs>li {
    color: #FFF;
    background: var(--DarkBlue);
}

#filter_tabs ul.tabs>li:hover {
    background: var(--Blue);
}

#filter_tabs ul.tabs>li:hover {
    background: var(--Blue);
}

#filter_tabs ul.tabs>li.active {
    z-index: 2;
    background: var(--Blue);
}

#filter_tabs .tabs_icon_packages {
    background-image: url(/images/icons/pen_white.svg);
}

#filter_tabs .tabs_icon_theory {
    background-image: url(/images/icons/paper_white.svg);
    height: 11px;
    width: 8px;
}

#filter_tabs .tabs_icon_slideshow {
    background-image: url(/images/icons/play1_white.svg);
    height: 10px;
}

.fa-bookmark:before {
    color: white;
}

.widget-class-button {
    border: none;
    width: 315px;
    padding: 10px 15px;
    background: #fff;
    color: var(--DarkBlue);
}

.widget-header-button {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    background: 0 0;
    width: 100%;
    margin-bottom: 20px;
    padding: 5px 0 10px;
    border: 0;
    border-bottom-color: currentcolor;
    border-bottom-style: none;
    border-bottom-width: 0px;
    border-bottom: 2px solid var(--Blue);
    margin-left: 3px;
}

#filter_tabs ul.tabs>li,
.palette-switch ul.tabs>li {
    float: right;
    margin: 5px -10px 0;
    border-top-right-radius: 25px 170px;
    border-top-left-radius: 20px 90px;
    padding: 0 30px 0 25px;
    height: 170px;
    position: relative;
    box-shadow: 0 10px 0 rgba(0, 0, 0, 1);
    max-width: 200px;
    cursor: pointer;
}

@media (max-width: 1023px) {
    .palette-switch ul.tabs>li {
        align-items: center;
        border-top-left-radius: 10px 20px;
        border-top-right-radius: 10px 20px;
        box-shadow: 0 10px 0 rgba(0, 0, 0, 1);
        cursor: pointer;
        display: flex;
        float: initial;
        font-size: 12px;
        height: 25px;
        margin: initial;
        max-width: initial;
        padding: 0 11px;
        position: initial;
    }
}

#filter_tabs ul.tabs>li {
    color: white;
}

a,
a.side-bar-tests-a,
.package a > .sub-category-list-item-container {
    color: var(--DarkBlue);
}
.package a > .sub-category-list-item-container {
   font-weight: 600;
}
a:hover,
a.side-bar-tests-a:hover,
.home-category-row:hover :not(.teacher_home_context_menu *),
.open_subcat:hover:has(.sub-category-list-row:hover) .sub-category-list-arrow *,
.open_subcat .sub-category-list-row:hover *:not(.dropdown-menu *),
.open_subcat:hover:has(.sub-category-list-arrow:hover) .sub-category-list-row *,
.open_subcat:hover:has(.sub-category-list-arrow:hover) .sub-category-list-arrow *,
.package .sub-category-list-package-link:hover *:not(.badge),
#scrollable button:hover,
#scrollable .widget-header-span:hover,
#scrollable .widget-header-button .side-bar-span:hover{
    color: var(--Blue) !important;
}
.teacher_home_context_menu_dropdown .dropdown-menu button:hover {
    color: white;
    background-color: var(--Blue) !important;
}

.home-breadcrumb-wrapper:focus,
.home-breadcrumb-wrapper:hover,
:not(.package a) > .sub-category-list-item-container:hover {
    background-color: #dbedf0
}
#scrollable button.assignment-start-button:hover {
    color: white !important;
}
.nav a:hover {
    color: var(--DarkBlue) !important;
}
.abschnitt a,
.abschnitt a:hover {
    color: inherit !important;
}
.abschnitt img {
    margin-right: 2px;
    margin-top: -2px;
}

.vakata-context li>a:hover {
  color:#fff!important;
}

.home-number-of-exercises {
    float: right;
    color: #447BA8;
}

.widget-header-button ~ * {
    display:none;
}

.sw-nav-active {
    background-color: var(--Blue) !important;
}

body .sw-btn-success {
    color: #fff;
    background-color: var(--DarkBlue);
    border-color: var(--DarkBlue);
}

body .sw-btn-danger {
    color: #fff;
    background-color: #f76252;
    border-color: #FF7061;
}

body .sw-btn-success:focus,
body .sw-btn-success:hover {
    color: #fff !important;
    background-color: var(--Blue);
    border-color: var(--Blue);
}

.sw-btn-default {
    background-color: var(--DarkBlue);
    color: #fff !important;
    border: 1px solid var(--DarkBlue);
}

.sw-a-clear:hover,
.sw-btn-default:focus,
.sw-btn-default:hover {
    color: #fff !important;
    background-color: var(--Blue);
    border: 1px solid var(--Blue);
}

div.test-list {
    margin-left: 0;
}

.exercise_thumb.current-step .test_thumb_number {
    color: #63656A;
    font-weight: 600;
}

.exercise_thumb_popover {
    padding: 0 !important;
    border: 1px solid #61687D;
    box-shadow: none;
    -webkit-box-shadow: none;
}

.exercise_thumb_popover_btns>button:first-of-type {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.exercise_thumb_popover_btns>button:last-of-type {
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

.exercise_thumb_popover_btns>button {
    color: #594662;
    font-weight: bold;
}

.exercise_thumb_popover.right>.arrow:after {
    border-right-color: #594662;
}

.exercise_thumb .fa-repeat:before, .home-exercise-breadcrumb-icon .fa-repeat:before {
    content: none !important;
}

.exercise_wrapper .package-exercise-separator,
.exercise_wrapper #package-name {
    display: none;
}

.home-exercise-breadcrumb-icon i {
    display:none;
}

.next-step.current-step:after {
    margin-top: -23px;
}

.next-step:before, .test-breadcrumbs .next-test-step:before {
    left: 10.5px;
}

.arrow_img {
    color: var(--DarkBlue);
    border-radius: 25px;
    width: 40px;
    height: 40px;
    padding-top: 6px;
    text-align: center;
}

.badge {
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    font-size: 12px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: var(--Blue);
    border-radius: 10px;
}

.side-bar-span {
    text-align: left;
    font-size: 20px;
    color: var(--DarkBlue);
}

.span-widget-shortcut-button {
    background: #f5f5f5;
}

.fa-plus:before {
    color: var(--DarkBlue);
}

.btn-link {
    color: var(--Blue);
}

.widget-class-button {
    border-radius: 20px;
    margin-top: 2px;
    margin-bottom: 2px;
}

.class-active {
    border: 2px solid var(--DarkBlue);
    border-radius: 20px;
    background-color: white;
}

.class-inactive a:hover,
.class-inactive:hover {
    opacity: 1;
    /* background-color: #fff!important; */
    border-radius: 20px;
}

.nav-pills.white a {
    border-radius: 25px;
}

.sw-label-primary {
    background-color: #aaa !important;
}

.form-control:focus {
    border-color: var(--Blue);
    /* -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102,175,233,.6); */
    box-shadow: 0px 0px 4px var(--Blue);
}

.fa-plus:before {
    color: #594662;
}
.home-link .fa-plus:before {
    color: #00658b;
}

.home-link, .sidebar-nav, .sw-nav-bar {
    font-variant: inherit;
}

.side-bar-span {
    font-weight: 700;
}

.side-bar-badge {
    background-color: #345B7C;
}

a:focus,
a:hover {
    color: #1A3B56;
    text-decoration: underline;
}

.btn-primary {
    color: #fff;
    background-color: var(--DarkBlue);
    border-color: var(--DarkBlue);
}

.btn-primary:hover {
    color: #fff;
    background-color: var(--Blue);
    border-color: var(--Blue);
}

.btn-info {
    background-color: #447BA8;
    border-color: #447BA8;
}

.btn-info:hover {
    background-color: #345B7C;
    border-color: #345B7C;
}

/* START Post Question */

#post_question .nav-tabs>li.active>a,
.nav-tabs>li.active>a:focus,
.nav-tabs>li.active>a:hover {
    color: #594662;
    font-weight: 700;
    background-color: #fff;
    border: 2px solid #594662;
    /* border-bottom-color: transparent; */
    margin-bottom: 10px;
    border-radius: 25px !important;
}

#post_question .nav-tabs>li>a {
    border: 2px solid transparent;
    border-radius: 25px !important;
}

#post_question .nav-tabs>li>a:hover {
    border-color: #594662;
    background-color: white;
    font-weight: 700;
    color: #594662;
    border-radius: 25px !important;
}

/* END Post Question */

/* START Forum */

nav-pills.white .active a,
.nav-pills>li.active>a,
.nav-pills>li.active>a:hover,
.question_bread>span.label-primary {
    background-color: var(--Blue) !important;
}

#edit_question .nav {
    margin-bottom: 5px;
}

.sw-label-primary {
    background-color: #aaa !important;
    border-radius: 25px;
}

.answers_count a.label{
    display: inline-block;
}

.input-group {
    border-radius: 25px;
    background-color: #eee;
}

.input-group-addon:first-child {
    border: 0px;
}

.input-group-addon:last-child {
    border: 0px;
}

.input-group-addon {
    background-color: transparent;
    /* border: 1px solid #ccc; */
}

.input-group-btn:last-child>.btn,
.input-group-btn:last-child>.btn-group {
    margin-left: 0px;
    border: 0px;
}

.input-group .form-control:not(:first-child):not(:last-child),
.input-group-addon:not(:first-child):not(:last-child),
.input-group-btn:not(:first-child):not(:last-child) {
    border-radius: 20px;
}

.modal .modal-body div.input-group {
    border-radius: 20px !important;
}

.open>.dropdown-menu {
    border-radius: 20px;
}

.sw-nav-ul .open>.dropdown-menu {
    border-radius: 0;
}

.dropdown-menu>li>a:hover,
.dropdown-menu>li>a>.MathJax:hover {
    background: var(--Blue);
	color: #fff !important;
}

.dropdown-menu>.active>a,
.dropdown-menu>.active>a:focus,
.dropdown-menu>.active>a:hover {
    background-color: var(--LightBlue);
}

.sw-btn-primary:focus,
.sw-btn-primary:hover {
    background-color: var(--Blue);
    border-color: var(--Blue);
}

.sw-btn-primary:disabled {
    background-color: var(--Grey);
    border-color: var(--Grey);
}

.sw-btn-primary,
.sw-panel-primary>.panel-heading {
    color: #fff;
    background-color: var(--DarkBlue);
    border-color: var(--DarkBlue);
}

.sw-btn-primary .fa-plus:before {
    color: white;
}

.forum_dropdown_button {
    border-bottom: 2px solid var(--Blue);
}

nav-pills.white .active a,
.nav-pills>li.active>a,
.nav-pills>li.active>a:hover,
.question_bread>span.label-primary {
    background-color: var(--Blue);
    border-radius: 25px;
}

/* END Forum */

/* START ANALYTICS */

#analytics_content_tab {
    /* border-bottom: 1px solid #ddd; */
    background-color: white;
    border-radius: 25px;
    margin-bottom: 10px;
    border: 2px solid transparent;
}

#analytics_content_tab,
.nav-tabs>li>a:hover {
    border: 2px solid var(--DarkBlue);
}

#analytics_content_tab {
    /* background-color: #eee; */
    color: var(--DarkBlue);
    border: 2px solid var(--DarkBlue);
}

#analytics_dashboard_tab active,
.nav-tabs>li.active>a,
.nav-tabs>li.active>a:focus,
.nav-tabs>li.active>a:hover {
    color: var(--DarkBlue);
    font-weight: 700;
    cursor: default;
    background-color: #fff;
    border: 2px solid var(--DarkBlue);
    /* border-bottom-color: transparent; */
    margin-bottom: 0px;
}

.nav-tabs {
    border-bottom: 0px;
}

#analytics_content_tab,
.nav-tabs>li>a:hover {
    /* border-color: #eee #eee #ddd; */
    border: 2px solid var(--DarkBlue);
    background-color: white;
    font-weight: 700;
    color: var(--DarkBlue);
}

#analytics_content_tab,
.nav-tabs>li>a {
    color: var(--DarkBlue);
    border: 1px solid transparent;
    font-weight: 700;
    border: solid 2px TRANSPARENT;
}

.glyphicon-calendar:before {
    color: var(--Blue);
}

.glyphicon-list-alt:before {
    color: var(--Blue);
}
.analytics__actions .fa:before, .glyphicon-list-alt:before {
    color: var(--Blue);
}


.analytics__usersearch--container button {
    height: 42px;
    width: 42px;
}

.analytics__usersearch--popover {
    border-radius: 20px;
}

.analytics__usersearch--popover input {
    border-radius: 20px;
}

.analytics .dropdown button {
    border-radius: 20px;
}

.analytics__datetimefilter #daterangecontainer {
    border-radius: 20px;
}

.analytics__actions button {
    border-radius: 20px;
}

.analytics__breadcrumbs .startEndDate {
    color: #fff;
    background-color: var(--Blue);
    border-radius: 10px;
}

.ranges li {
    color: var(--Blue) !important;
    font-family: 'Fira Sans' !important;
}

.ranges li.active,
.ranges li:hover {
    background: var(--Blue) !important;
    font-weight: 700
}

.daterangepicker td.active,
.daterangepicker td.active:hover {
    background-color: var(--Blue) !important;
}

.daterangepicker {
    font-family: 'Fira Sans' !important;
}

.popover {
    font-family: 'Fira Sans'!important;
}

.analytics .widget__wrapper--title {
    background-color: var(--DarkBlue);
    border-radius: 10px 10px 0px 0px;
    color: white;
}

.analytics .widget__wrapper--title h5 {
    font-weight: 700;
    letter-spacing: 0.05em;
}

.analytics .widget__wrapper {
    border: 0px !important;
    border-radius: 10px;
    box-shadow: 0px 0px 5px lightgrey;
}

.glyphicon {
    color: var(--Blue);
}

.pagination>.active>a,
.pagination>.active>a:focus,
.pagination>.active>a:hover,
.pagination>.active>span,
.pagination>.active>span:focus,
.pagination>.active>span:hover {
    background-color: var(--LightBlue);
    border-color: var(--LightBlue);
}

.attempt_viewer_history_box_selected, .attempt_viewer_history_box_nav {
    border: 2px solid #447BA8;
    width: 30px;
    height: 30px;
    display: inline-block;
    line-height: 10px;
    padding: 8px;
    text-align: center;
}

.attempt_viewer_history_box {
    border: 2px solid transparent;
    width: 30px;
    height: 30px;
    display: inline-block;
    line-height: 10px;
    text-align: center;
    padding: 8px;
}

.attempt_viewer_history_box:hover {
    border: 2px solid #447BA8;
}

.attempt_viewer_history_box_nav {
    border-radius: 20px;
    border: 2px solid #447BA8;
    font-weight: bold;
    text-align: center;
}

.test_thumb_selected_package {
    border-radius: 20px;
    box-shadow: 0px 0px 5px black
}

.test_thumb {
    border-radius: 20px;
}

.widget--activity-date .ct-label {
    fill: #345B7C;
    color: #345B7C;
    font-size: 12px;
}

.analytics_main_content_container .fa-graduation-cap:before,
.fa-mortar-board:before {
    color: var(--Blue);
}

.dropdown-menu>li>a:hover .fa-graduation-cap:before,
.fa-mortar-board:before {
    color: white;
}

.dropdown-menu>.active>a .fa-graduation-cap:before,
.fa-mortar-board:before {
    color: white;
}

/* START Achievements */

.exercise-new {
    color: #FFF !important;
}

.exercise-achievement-background {
    border-radius: 10px;
}

.flat-header {
    border-bottom-color: #c1c1c1;
    border-bottom-width: 2px;
}

/* END ANALYTICS */

/* START Theory */

.theory_definition:after {
    margin-left: 15px;
    border-radius: 10px 10px 0px 0px;
}

.theory_example:after,
.theory_exercise:after {
    margin-left: 15px;
    border-radius: 10px 10px 0px 0px;
}
.theory_example,
.accordion .theory_example {
    margin-top: 3em;
    border-radius: 10px !important;
}
.theory_example:after {
    padding:5px 20px;
    font-size: 18px;
    border: none;
    font-weight: 700;
    top: -35px;
    color: var(--DarkBlue);
	background-color: var(--LightBlue);
}

.theory_body div,
.theory_body ol,
.theory_body p,
.theory_body ul {
    border-radius: 10px;
}

.mc_row>div {
    border-radius: 0
}

.mc_row>.mc_checkbox {
    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
}

.mc_row>.mc_result {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

.theory_theorem:after {
    margin-left: 15px;
    border-radius: 10px 10px 0px 0px;
}

.theory_statement:after {
    margin-left: 15px;
    border-radius: 10px 10px 0px 0px;
}

.pagination_circle li a.active {
    background: var(--Blue);
}

/* END Theory */

/* START Exercise */

.test_thumb_wrong {
    border-radius: 20px;
}

.test-total.sw-label-success,
.test_thumb_correct {
    border-radius: 20px;
}

.current-step:after {
    border-radius: 25px;
    border-color: #63656A;
}

.test_thumb_approx,
.test_thumb_error {
    border-radius: 20px;
}

.exercise_thumb.test_thumb_approx.main-step.tiptool {
    border-radius: 20px;
}

.sw-btn-clear {
    border-color: var(--Blue);
    color: var(--Blue);
    border: solid 1px;
}

.sw-btn-clear:focus,
.sw-btn-clear:hover {
    color: white !important;
    background-color: var(--Blue) !important;
    border-radius: 25px;
}

.sw-btn-clear:focus i.glyphicon,
.sw-btn-clear:hover i.glyphicon{
    color: white !important;
}

.btn-where,
.return-home-btn {
    color: var(--DarkBlue) !important;
    border: 2px solid var(--Blue);
}

.btn-group>.btn:not(:first-child):not(:last-child):not(.dropdown-toggle) {
    color: var(--Blue);
}

.btn-group>.btn:not(:first-child):not(:last-child):not(.dropdown-toggle):hover {
    color: #FFF;
}

.btn-group>.btn:first-child:not(:last-child):not(.dropdown-toggle) {
    color: var(--Blue);
}

.btn-group>.dropdown-toggle:not(:first-child) {
    color: white;
}

.exercise_thumb,
.test_thumb {
    border-radius: 20px;
    color: #B2B2B2 !important;
}

.hint-wrapper {
    border-radius: 20px;
    padding-left: 15px;
    padding-right: 15px;
}

.exercise_wrapper .MathJax:hover,
.oldanswer:hover,
.palette-key:hover,
.prev_answer:hover {
    color: var(--Blue);
}

.exercise_wrapper .list-group-item {
    border-radius: 0px !important;
}

.max-step,
.sw-bg-primary {
    background-color: var(--Blue);
}

#close-subcat-wrapper-arrow {
    background-color: var(--Blue);
}

#subcat-content-wrapper {
    border-left: 5px solid var(--Blue);
}

.exercise-header {
    border-bottom-color: var(--Blue);
}

.grade-exercise-header {
    display: grid;
    grid-template-columns: max-content 1fr;
    align-items: baseline;
}

.grade-exercise-header > div {
    display: contents;
}

.grade-exercise-header-info {
    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
    gap: 5px;
;
}

.expandables-container button,
.flippable-button-group button,
button.theory-more {
    border-radius: 10px 10px 0px 0px;
}

.expandables-container button:last-of-type {
    border-radius: 10px 0px 10px 0px;
}

.flippable-button-group {
    margin-right: 8px;
}

.flippable-button-group button:last-of-type {
    border-radius: 10px 10px 0px 0px;
}

.expandables-container.active button:last-of-type,
.flippable-button-group.active button:last-of-type {
    border-radius: 10px 0px 0px 0px;
}

.theory_body div.expandable {
    border-radius: 10px 0px 10px 10px;
}

.panel-default>.panel-heading {
    color: #333;
    background-color: #f5f5f5;
    /* border-color: #ddd; */
    /* border-radius: 25px 25px 0px 0px !important; */
}
.preview-source-wrapper .panel-primary>.panel-heading i {
    color: #FFF;
}

.item_draggable {
    border: 1px solid var(--Blue);
    border-radius: 10px;
}

.item_droppable {
    border-radius: 10px;
}

.ace_editor {
    border-radius: 10px;
}

.package-score, .exercise_wrapper_last .package-experience {
    background-color: #447ba8;
    border-radius: 10px;
    font-weight: bold;
}

.panel.group-order-panel,
.panel.group-order-panel > .panel-heading
{
    border-radius: 5px !important;
}

@media (max-width: 768px) {
    #redo_set_button {
      padding: 4px 8px;
      font-size: smaller;
      line-height: 1;
      margin: 5px 8px;
    }
  }

/* END Exercise */

/* START Test */

.test-breadcrumbs>div {
    border-radius: 25px;
}

.test_title {
    background-color: #cacaca;
}

.test_thumb_selected:after {
    border-radius: 25px;
}

.test-breadcrumbs-live .test_thumb_selected:not(.test_thumb_correct):not(.test_thumb_wrong):not(.test_thumb_approx):after {
    background-color: #447BA8;
}

.test_thumb_selected .test_thumb_number {
    color: #447BA8!important;
    font-weight: bold;
}

.test_thumb {
    background-color: var(--Blue);
}

.test_thumb_initial {
    color: #bcc4c7;
    background-color: #fff;
}

.sw-label-primary {
    background-color: var(--Blue) !important;
}


#calculator_container.geogebra > .decoration {
	background-color: var(--DarkBlue);
}


#calculator_container.geogebra > iframe {
	border: 2px solid var(--DarkBlue);
}

#student-test-notification {
    background: var(--Blue);
}

/* END Test */

/* START illustration */
.add-illustration-modal .close{
    color: #fff;
    opacity: 0.8;
}

/* END illustration */

/* START Log in */

.sw-btn-success {
    color: #fff;
    background-color: #447BA8;
    border-color: #447BA8;
}

.sw-btn-success:focus,
.sw-btn-success:hover {
    color: #fff !important;
    background-color: #345B7C;
    border-color: #345B7C;
}

.jumbotron {
    background-color: white;
}

.jumbotron-glossary {
    background-color: #eee;;
}

#forgot_password_link {
    color: #fff;
}

.register-student_number {
    display: none;
}

/* END Log in */

/* START Shop */

.modal-header {
    color: #fff;
    background-color: var(--DarkBlue);
    border-radius: 10px 10px 0px 0px;
}

.flat-header {
    border-bottom-color: #ddd;
    border-bottom-width: 2px;
}

/* END Shop */

/* START TEACHER */

.teachers_list {
    border: 1px solid #6d6d6d;
    margin-top: 5px;
    margin-bottom: 5px;
}

.teacher_home_context_menu_dropdown .dropdown-menu button:hover {
     color: #fff !important;
    background-color: var(--Blue);
}

.teacher_content.col-xs-12 .fa-search:before {
    color: var(--Blue) !important;
}

.teacher_content.col-xs-12 .sw-btn-clear {
    border: 0px;
}

#category_listf_div .row {
    padding-top: 10px !important;
}

.teacher_content.row .fa-file-text-o:before {
    color: #345B7C;
}

.teacher_content.row .jstree-proton .jstree-hovered,
.teacher_content.row .jstree-proton .jstree-hovered .fa-file-text-o:before,
.teacher_content.row .jstree-proton .jstree-hovered .fa-pencil:before,
.teacher_content.row .jstree-proton .jstree-hovered .fa-graduation-cap:before,
.fa-mortar-board:before {
    background-color: var(--Blue);
    border-radius: 25px;
    color: white!important;
}

.teacher_content.row .jstree-proton .jstree-clicked .fa-pencil:before {
    color: white;
}

.teacher_content.row .jstree-proton .jstree-clicked .fa-file-text-o:before {
    color: white;
}

.teacher_content.row .jstree-proton .jstree-clicked .fa-graduation-cap:before,
.fa-mortar-board:before {
    color: white;
}

#source-tree .fa-search:before {
    color: var(--Blue);
}

#source-tree-wrapper .fa-pencil:before {
    color: var(--LightBlue);
}

.jstree-anchor jstree-clicked .fa-pencil:before {
    color: white !important;
}

#source-tree-wrapper .jstree-proton .jstree-hovered,
#source-tree-wrapper .jstree-proton .jstree-hovered .fa-file-text-o:before,
#source-tree-wrapper .jstree-proton .jstree-hovered .fa-pencil:before,
#source-tree-wrapper #source-tree-wrapper .jstree-proton .jstree-hovered .fa-graduation-cap:before,
#source-tree-wrapper .fa-mortar-board:before {
    background-color: var(--Blue);
    border-radius: 25px;
    color: white !important;
}

#source-tree-wrapper .jstree-proton .jstree-clicked,
#source-tree-wrapper .jstree-proton .jstree-clicked .fa-file-text-o:before,
#source-tree-wrapper .jstree-proton .jstree-clicked .fa-pencil:before,
#source-tree-wrapper #source-tree-wrapper .jstree-proton .jstree-clicked .fa-graduation-cap:before,
#source-tree-wrapper .fa-mortar-board:before {
    background-color: var(--Blue);
    border-radius: 25px;
    color: white !important;
}

#assignment-selection #passing_score, #timezone-due, #required_progress {
    border-radius: 4px!important;
}

.teacher-adjust-score-grp input {
    border-radius: 25px;
    border-color: transparent;
    color: var(--Blue);
}

.panel-default>.panel-heading.group-search-student-panel {
    background-color: transparent;
    border-color: #fff;
}

.group-user-table tr:last-of-type td{
    padding-bottom: 20px;
}

table.group-user-table>tbody>tr>td:first-of-type {
    padding-left: 20px;
}

table.group-user-table>tbody>tr>td:last-of-type {
    padding-right: 26px;
}

.fullscreen-link {
    cursor: pointer;
}

.replay-review, .replay-review .jumbotron, .replay-review tr, .replay-review td {
    background: white;
}

.current-replay-review, .current-replay-review .jumbotron, .current-replay-review th, .current-replay-review td {
    background: #e7e7e7 !important;
}

.student-test-settings-top-panel {
    border-bottom-right-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.student-test-settings-search-panel {
    border-radius: 0 !important;
}

#sebSecurityInfo span {
    display: block;
}

#sebSecurityInfo label {
    position: relative;
    top: -2px;
    left: 2px;
    margin-right: 10px;
    user-select: none;
}

/* END TEACHER */

/* START Author */

.author-tabs>li>a {
    padding: 6px 4px;
}

.author-tabs {
    margin-bottom: 5px;
}

.author_table_filter {
    border-top: 1px solid #e3e3e3;
}

.btn-group>.btn:first-child:not(:last-child):not(.dropdown-toggle) {
    color: #FFF;
}

.sw-btn-success .fa-plus:before {
    color: #FFF;
}

#author_exercise.label {
    margin-bottom: 8px;
}

.author-exercise-text-row .points {
    border-radius: 10px
}

.fileupload-buttonbar .glyphicon:before {
    color: white;
}

.files button.delete>i {
    color:#FFF;
}

.select2-container--open .select2-dropdown--below {
    border-top: 0px;
}

.select2-container--bootstrap .select2-dropdown {
    border: 0px;
    box-shadow: inset 0p 0px 1px rgba(0, 0, 0, .075), 0 0 8px #ccc;
    -webkit-box-shadow: inset 0p 0px 1px rgba(0, 0, 0, .075), 0 0 8px #ccc;
}

.select2-container--bootstrap.select2-container--focus .select2-selection,
.select2-container--bootstrap.select2-container--open .select2-selection {
    border: 0px;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px #ccc;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px #ccc;
}

.select2-container--bootstrap .select2-results__option--highlighted[aria-selected] {
    background-color: var(--Blue);
}

.select2-container--bootstrap .select2-search--dropdown .select2-search__field, .select2-container--bootstrap .select2-selection {
    border-radius: 20px!important;
}

.select2-dropdown--below {
    border-radius: 10px!important;
}

.progress-bar-info,
.sw-label-default {
    background-color: #aaa !important;
}

.jstree-anchor.pointer.jstree-hovered {
    background-color: var(--Blue);
    border-radius: 10px 10px 10px 10px;
    padding-right: 10px;
}

.jstree-proton .jstree-clicked {
    background: var(--Blue) !important;
    color: #fff !important;
    border-radius: 10px !important;
    padding-right: 5px;
}

#source-preview-course_material .panel-heading .sw-btn-primary,
.sw-panel-primary>.panel-heading {
    background-color: #447BA8;
    border-radius: 20px 20px 0px 0px !important;
}

#source-preview-course_material .fa-filter:before {
    color: white;
}

#source-preview-course_material .fa-trash:before {
    color: #f76252;
}

#source-preview-course_material .mc_checkbox {
    color: white;
}

#source-preview-course_material .fa-chevron-down:before {
    color: white;
}

#group-name-1 {
    color: white;
}

#group-name-2 {
    color: white;
}

#group-name-3 {
    color: white;
}

#group-name-4 {
    color: white;
}

#group-name-5 {
    color: white;
}

#group-name-6 {
    color: white;
}

#group-name-7 {
    color: white;
}

#group-name-8 {
    color: white;
}

#group-name-9 {
    color: white;
}

.group-name[contenteditable="true"]:focus {
    color: #345B7C !important;
}

.panel-body panel-sortable ui-sortable {
    border-radius: 30px;
}

.panel-group .panel-heading+.panel-collapse>.list-group,
.panel-group .panel-heading+.panel-collapse>.panel-body {
    border: 0px;
}

.test_scenario_steps .list-group-item {
    border: 0;
}

/* END Author */


/* START author tags */

#tag-container .tag_item {
    margin: 0 15px;
}

#tags_container .border {
    border-radius: 10px;
}

#tag-container .search_container {
    border-radius: 23px;
}

#tag-container .tag_search {
    border-radius: 30px !important;
}

#tag-container .tag_item:hover{
    border-radius: 20px;
    padding: 10px 20px;
    margin: 0 5px;
}

#tags_container .tab {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

#tag-container {
    border-top-left-radius: 0 !important;
}

#createKeywordInput:hover, #selectedContainer>.tag_items>.tag_item {
    margin: 0 15px;
}

#tag-container .hover_tags>.tag_items>.tag_item:hover {
    background: #94B8D5;
}

/* END author tags */

/* START Edit Exercise */

#author_exercise .nav-tabs>li>a,
.nav-tabs>li>a>div {
    border-radius: 15px 15px 0px 0px !important;
    font-weight: 700;
    color: var(--DarkBlue);
    border-bottom: solid 1px transparent !important;
}

#author_exercise .nav-tabs>li>a {
    padding: 0 3px !important;
}

#author_exercise .author-tabs {
    border-bottom: solid 1px var(--DarkBlue);
}

.author-tabs {
    border-bottom: solid 0px var(--DarkBlue);
}

.nav-tabs>.active>a,
.nav-tabs>.active>a:hover,
.nav-tabs>li>a:hover {
    border-radius: 25px !important;
}

#author_list.nav-tabs>li>a:hover {
    border-color: transparent;
}

#side_button_bar li a {
    margin-left: -4px;
    border-radius: 25px 0px 0px 25px !important;
}

#side_button_bar li {
    border-radius: 25px 0px 0px 25px;
    min-width: 150px;
}

#s_preview {
    background-color: #447BA8 !important;
    border-color: #447BA8;
    font-weight: 700;
}

.list-group-item {
    margin-top: 3px !important;
    margin-bottom: 3px !important;
}

#author_edit_buttons {
    margin-left: -63px !important;
    margin-top: 5px !important;
}

.contentLeft li {
    border-radius: 25px;
}

.test-scenario .panel-heading {
    border-radius: 20px 20px 0px 0px !important;
}


/* END Edit Exercise */

/* START ADMIN */


.admin-classes-list {
    border-radius: 20px;
}

.dd_perm, .fake_dd_lang {
    width: 80%;
    height: 22px;
    margin: auto;
    display: block;
    border-radius: 10px;
}

.fake_dd_options {
    margin-left: 10%;
    display: block;
    border-radius: 10px;

}

#admin_daily_tries th:nth-of-type(2) {
    width: 40%;
}

.user_filters label {
    margin-left: 15px;
}

/* END Admin */

/* BEGIN Teacher */
/* Hide arrows in input type number*/
/* Chrome, Safari, Edge, Opera */
/* -moz- for Firefox */
.input-no-arrows::-webkit-outer-spin-button,
.input-no-arrows::-webkit-inner-spin-button,
.input-no-arrows[type=number] {
    -moz-appearance: textfield;
    -webkit-appearance: none;
    margin: 0;
}

.quick-grading {
    color: var(--Blue);
}
/* END Teacher */

/* BEGIN Departments */
.department-checkbox {
    padding-left: 15px;
}

#departments-table {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

#current-teachers, #available-teachers {
    flex: 1 1 150px;
    max-width: 325px;
    margin: 20px 55px;
}

.department-title, .department-title.no-border {
    padding: 6px;
    margin-top: 5px;
    text-align: center;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #444;
    cursor: default;
    user-select: none;
    border-bottom: 1px solid #ddd;
}

.department-title.no-border {
    border-bottom: none !important;
}

.department-card {
    border: 1px solid black;
    margin-bottom: 2px;
    padding: 10px 15px;
    user-select: none;
    border-radius: 25px;
}

.department-card:hover {
    cursor: pointer;
    background: #eee;
}
/* END Departments */

/* BEGIN Profile Page */
.profile-gradient-background {
	background: linear-gradient(#3B7CA6, var(--DarkBlue));
}
.xp-bar {
    background: var(--A-Turquoise);
}
/* END Profile Page */

/* START Essay-Submit */

.essay-score-dot {
    width: 16px;
    height: 16px;
    border-radius: 50%;
}

.essay-score-dot-correct {
    background: var(--color-thumb-correct);
}

.essay-score-dot-approx {
    background: var(--color-thumb-approx);
}

.essay-score-dot-wrong {
    background: var(--color-thumb-wrong);
}

.label-submitted {
    border: 1px solid #000;
    background-color: #FFFFFF33;
    color: #000000;
}

.label-draft {
    background-color: #EEEEEE;
    color: #424242;
}

.label-reviewed {
    border: 1px solid #61B0BB;
    background-color: rgba(97, 176, 187, 0.2);
    color: #000000;
}

.label-released {
    background-color: #005870;
    color: #FFFFFF;
}

.btn-release-all {
    background-color: #005870;
    color: #FFFFFF;
}

.btn-release-all:hover,
.btn-release-all:focus {
    color: #FFFFFF;
    background-color: #00475a;
}

.btn-ready-for-release {
    border: 1px solid #61B0BB;
    background-color: rgba(97, 176, 187, 0.2);
    color: #000000;
}

/* END Essay-Submit */

